:root{
    --primary-color: #185800;
    --secondary-color: #1f1f1f;
    --background-color: #224300;
}

body{
    margin: 0%;
}

html{
    background-color: var(--background-color);
    color: white;
    text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.388);
    font-family: helveticane, sans-serif;
    font-size: large;
    scroll-behavior: smooth;
}

section{
    padding: 20px;
}

#eins{
    background-color: var(--primary-color);
    background: linear-gradient( #0d3000,var(--primary-color));
    min-height: 40vw;
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: relative;
}

   .header {
        padding: 20px;
        gap: 20px;
        display: flex;
        justify-content: flex-end;
    }

        .head a {
        color: rgb(210, 210, 210);
        text-decoration: none;
        margin: 0 10px;
        position: relative;          
    }
        .head a:hover {
          color: rgb(154, 154, 154);
        }
    
.head {
    background-color: var(--primary-color);
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
    padding: 20px;
    scroll-behavior: smooth;
}
#openNav {
    display: none;
}
.openNav {
   display: none;
    
}
@media (max-width: 800px) {
    .openNav {
        display: block;
        position: absolute;
        top:10px;
        right: 20px;
        
    }
    .head  {
        display: none;
    }
    #openNav:checked ~ .head  {
        display: flex;
        position: absolute;
        flex-direction: column;
        align-items: end;
        top: 40px;
        right: 10px;
        width: 20vh;
        padding: 10px 0;  
    }
        
    }
.start{
    width: 40%;
    
}
#hinweis{
    font-size: large;
    color: rgb(210, 210, 210);
    margin-top: 10px;
}
.titel{
    margin-bottom: 20%;
    margin-left: 20%;
    font-size: clamp(1rem, 2vw, 3rem);
}

.main_img{
   
    width: 50%;
    max-height: 35vw;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
    .main_img img{
       width: 100%;
        
    }
.logo{
    width: 15vw;
    position: absolute;
    top: 4vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    border:black solid 2px;
    border-radius: 50%;
    max-height: 15vw;
    height: 40vh;
    max-width: 15vw;
    width: 40vh;
}

@media (max-width: 800px) {

   #eins {
        flex-direction: column;
        padding: 0%;
    }
    .main_img {
        width: 100%;
        max-height: 50vw;
    }
    .main_img img {
        width: 100%;
    }
    .titel {
        margin-bottom: 10%;
        margin-left: 10%;
        font-size: clamp(1rem, 4vw, 5rem);
    }
    .start {
        width: 100%;
        margin-top: 10vh;
    }
}

#zwei{
    min-height: 20vw;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;  
        background-image: url(./img/wine.png);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        background-size: 40vw;
        opacity: 0.8;
     

}
.start2{
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.öffnungszeiten{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top: #1f1f1f solid 2px;
    border-bottom: #1f1f1f solid 2px;;
    padding: 20px;
    width: 100%;
}
#zwei table{
    width: 50%;
    border-collapse: collapse;
    

}

.angebote{
    margin: 0% 5%;
    padding: 20px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.angebot{
    background-color: #175800c5;
    border-radius: 10px;
}

@media (max-width: 1000px) {
    #zwei {
        flex-direction: column;
        padding: 5%;
          background-size: 80vw;
          background-position: top 820px center;
    }
    .angebote {
        width: 100%;
        margin: 0%;
    }
     .start2 {
        width: 100%;
        margin-top: 10vh;
    }
    .öffnungszeiten {
        width: 100%;
    }
     #zwei table {
        width: 100%;
    }
}

#drei{
    min-height: 20vw;
    gap: 10px;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;  
    flex-wrap: wrap;
        background-image: url(./img/herbs.png);
        background-size: cover;
        background-position: left center;
        background-repeat: no-repeat;
        background-size: 20vw;
        opacity: 0.8;
}

.karten{
    color: var(--secondary-color);
    text-shadow: none;
    font-weight: bold;
    background-color: bisque;
    width: 40%;
    min-width: 400px;
    overflow: hidden;
}
.speisen {
    display: flex;
    line-height: 0.9em;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top: #1f1f1f solid 2px;
    padding: 20px;
    width: 60%;
}

@media (max-width: 1000px) {
    #drei {
        flex-direction: column;
        padding: 5%;
          background-size: 80vw;
          background-position:left center;
    }
    .karten {
        min-width: 0;
        width: 97%;
        margin-top: 10vh;
    }
     .speisen {
        width: 100%;
    }
}

#vier{
    background: linear-gradient( var(--background-color), #0d3000);
    min-height: 20vw;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;  
    flex-direction: column;
}   

#vier img{
   margin-block: -4px ;
}


.ort {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
}
@media (max-width: 1000px) {
    #vier {
        padding: 5%;
    }
    .ort {
        width: 90%;
    }
    iframe {
        width: 80%;
        height: 80vw;
    }
}
    footer {
            background-color: #0d3000;
           color: rgba(255, 255, 255, 0.694);
           text-align: center;
            border-top: #1f1f1f solid 2px;
           max-width: 100%;
           min-height: 60px;
           display: flex;
           justify-content: center;
           align-items: center;
           justify-content: space-around;
           padding-left: 15px;
           padding-right: 15px;
           font-size: medium;
       }

       footer a {
           color: rgba(255, 255, 255, 0.694);
           text-decoration: none;
           padding: 30px;

       }